BuildRequires: jetty6-servlet-2.5-api
Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


Name:           logback
Version:        0.9.14
Release:        alt2_2jpp6
Epoch:          0
Summary:        Logback
License:        LGPLv2+
Group:          Development/Java
URL:            http://logback.qos.ch
# svn -q export http://svn.qos.ch/repos/logback/tags/release_0.9.14 logback-0.9.14
Source0:        logback-0.9.14.tar.gz
Source1:        logback-jpp-depmap.xml
Source2:        logback-settings.xml
Patch0:         logback-classic-PackageTest.patch
Patch1:         logback-classic-slf4j-impl-PackageTest.patch
Patch2:         logback-classic-spi-PackageTest.patch
Patch3:         logback-classic-pom.patch
Patch4:         logback-access-RequestLogImpl.patch
BuildArch:      noarch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires: jpackage-utils >= 0:1.7.3
BuildRequires: maven2 >= 0:2.0.7
BuildRequires: maven2-plugin-antrun
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-eclipse
BuildRequires: maven2-plugin-idea
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-source
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-release
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: junit44
BuildRequires: dom4j
BuildRequires: easymock2
BuildRequires: greenmail
BuildRequires: hsqldb
BuildRequires: subethasmtp2

BuildRequires: glassfish-javamail
BuildRequires: janino
BuildRequires: jetty6-core
BuildRequires: jms_1_1_api
BuildRequires: servlet_2_5_api
BuildRequires: slf4j15
BuildRequires: tomcat5-server-lib

Requires: glassfish-javamail
Requires: janino
Requires: jms_1_1_api
Requires: slf4j15


%description
Logback.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description javadoc
%{summary}.

%prep
%setup -q 
rm logback-classic/src/test/java/ch/qos/logback/classic/LoggerPerfTest.java
rm logback-classic/src/test/java/ch/qos/logback/classic/spi/LoggingEventSerializationPerfTest.java

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4

cp -p %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

sed -i 's,<slf4j.version>1.5.6</slf4j.version>,<slf4j.version>%{get_version slf4j15}</slf4j.version>,' pom.xml



%build
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

pushd logback-core
mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.failure.ignore=true \
%if 0
        -Dmaven.test.skip=true \
%endif
        install
popd
mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  -e \
        -s ${M2SETTINGS} \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install

mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  -e \
        -s ${M2SETTINGS} \
        -Daggregate=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        javadoc:javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 644 %{name}-core/target/%{name}-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -p -m 644 %{name}-core/target/%{name}-core-%{version}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-tests-%{version}.jar
%add_to_maven_depmap ch.qos.logback %{name}-core %{version} JPP/%{name} core
install -p -m 644 %{name}-classic/target/%{name}-classic-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/classic-%{version}.jar
install -p -m 644 %{name}-classic/target/%{name}-classic-%{version}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/classic-tests-%{version}.jar
%add_to_maven_depmap ch.qos.logback %{name}-classic %{version} JPP/%{name} classic
install -p -m 644 %{name}-access/target/%{name}-access-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/access-%{version}.jar
install -p -m 644 %{name}-access/target/%{name}-access-%{version}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/access-tests-%{version}.jar
%add_to_maven_depmap ch.qos.logback %{name}-access %{version} JPP/%{name} access
install -p -m 644 %{name}-examples/target/%{name}-examples-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/examples-%{version}.jar
%add_to_maven_depmap ch.qos.logback %{name}-examples %{version} JPP/%{name} examples
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -p -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap ch.qos.logback %{name}-parent %{version} JPP/%{name} parent
install -p -m 644 %{name}-core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -p -m 644 %{name}-classic/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-classic.pom
install -p -m 644 %{name}-access/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-access.pom
install -p -m 644 %{name}-examples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-examples.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rf target/site/apidocs/* \
                  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/access-%{version}.jar
%{_javadir}/%{name}/access.jar
%{_javadir}/%{name}/classic-%{version}.jar
%{_javadir}/%{name}/classic.jar
%{_javadir}/%{name}/core-%{version}.jar
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/examples-%{version}.jar
%{_javadir}/%{name}/examples.jar
%{_javadir}/%{name}/access-tests-%{version}.jar
%{_javadir}/%{name}/access-tests.jar
%{_javadir}/%{name}/classic-tests-%{version}.jar
%{_javadir}/%{name}/classic-tests.jar
%{_javadir}/%{name}/core-tests-%{version}.jar
%{_javadir}/%{name}/core-tests.jar
%{_datadir}/maven2/poms/JPP.%{name}-access.pom
%{_datadir}/maven2/poms/JPP.%{name}-classic.pom
%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%{_datadir}/maven2/poms/JPP.%{name}-examples.pom
%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Tue Apr 12 2011 Igor Vlasenko <viy@altlinux.ru> 0:0.9.14-alt2_2jpp6
- build with compat slf4j15

* Fri Sep 03 2010 Igor Vlasenko <viy@altlinux.ru> 0:0.9.14-alt1_2jpp6
- new version

